[Numpy-discussion] Movement of ma breaks matplotlib

Charles R Harris charlesr.harris@gmail....
Sat Apr 26 00:41:50 CDT 2008


On Fri, Apr 25, 2008 at 11:19 PM, Anne Archibald <peridot.faceted@gmail.com>
wrote:

> Hi,
>
> In the upcoming release of numpy. numpy.core.ma ceases to exist. One
> must use numpy.ma (for the new interface) or numpy.oldnumeric.ma (for
> the old interface). This has the unfortunate effect of breaking
> matplotlib(which does "from numpy.core.ma import *") - I cannot even
> "import pylab" with a stock matplotlib (0.90.1) and an SVN numpy. Is
> this an intended effect?


IIRC, there was something about this on the MPL mailing list. I think you
need to go to a later version, or something like that.

Chuck
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://projects.scipy.org/pipermail/numpy-discussion/attachments/20080425/ee655f71/attachment-0001.html 


More information about the Numpy-discussion mailing list